package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * Terms of service url texts, match the termsOfServiceText and turn the matching characters into an openable link, Up to 3 entries are allowed for the list.
 */
@ApiModel(description = "Terms of service url texts, match the termsOfServiceText and turn the matching characters into an openable link, Up to 3 entries are allowed for the list.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class TermsOfServiceUrlVo   {
  @JsonProperty("content")
  private String content;

  @JsonProperty("text")
  private String text;

  public TermsOfServiceUrlVo content(String content) {
    this.content = content;
    return this;
  }

  /**
   * Terms of service URL content.
   * @return content
  */
  @ApiModelProperty(required = true, value = "Terms of service URL content.")
  @NotNull


  public String getContent() {
    return content;
  }

  public void setContent(String content) {
    this.content = content;
  }

  public TermsOfServiceUrlVo text(String text) {
    this.text = text;
    return this;
  }

  /**
   * Terms of service URL title.
   * @return text
  */
  @ApiModelProperty(required = true, value = "Terms of service URL title.")
  @NotNull

@Pattern(regexp="^.{1,100}$") 
  public String getText() {
    return text;
  }

  public void setText(String text) {
    this.text = text;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TermsOfServiceUrlVo termsOfServiceUrlVo = (TermsOfServiceUrlVo) o;
    return Objects.equals(this.content, termsOfServiceUrlVo.content) &&
        Objects.equals(this.text, termsOfServiceUrlVo.text);
  }

  @Override
  public int hashCode() {
    return Objects.hash(content, text);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TermsOfServiceUrlVo {\n");
    
    sb.append("    content: ").append(toIndentedString(content)).append("\n");
    sb.append("    text: ").append(toIndentedString(text)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

